MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
BoundMethod< R(Args...)> Class Template Reference

`#include <BindMethod.hxx>`

## Public Member Functions
| BoundMethod ()=default
| Non-initializing trivial constructor. More...
constexpr | BoundMethod (void *_instance, function_pointer _function)
| BoundMethod (std::nullptr_t)
| Construct an "undefined" object. More...
| operator bool () const
| Was this object initialized with a valid function pointer? More...
R | operator() (Args...args) const

## Detailed Description

### template<typename R, typename... Args>
class BoundMethod< R(Args...)>

Definition at line 47 of file BindMethod.hxx.

## Constructor & Destructor Documentation

template<typename R , typename... Args>

BoundMethod< R(Args...)>::BoundMethod | ( |  | ) |
| default

Non-initializing trivial constructor.

template<typename R , typename... Args>

constexpr BoundMethod< R(Args...)>::BoundMethod | ( | void * | _instance,
|  | function_pointer | _function
| ) |  |
| inline

Definition at line 60 of file BindMethod.hxx.

template<typename R , typename... Args>

BoundMethod< R(Args...)>::BoundMethod | ( | std::nullptr_t |  | ) |
| inline

Construct an "undefined" object.

It must not be called, and its "bool" operator returns false.

Definition at line 67 of file BindMethod.hxx.

## Member Function Documentation

template<typename R , typename... Args>

BoundMethod< R(Args...)>::operator bool | ( |  | ) | const
| inline

Was this object initialized with a valid function pointer?

Definition at line 72 of file BindMethod.hxx.

template<typename R , typename... Args>

R BoundMethod< R(Args...)>::operator() | ( | Args... | args | ) | const
| inline

Definition at line 76 of file BindMethod.hxx.

The documentation for this class was generated from the following file:

- util/BindMethod.hxx